Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.deploy
Interface DeploymentProgress

All Superinterfaces:
  MapCapable

All Known Implementing Classes:
  DeploymentProgressImpl

public interface DeploymentProgress
extends MapCapable

Interface to provide deployment feedback while deployment is executing in the server backend. This interface may be instantiated by using routines in `DeploymentSupport`

Field Summary
`static java.lang.String` | `DEPLOYMENT_PROGRESS_CLASS_NAME` Value of the MAP_CAPABLE_TYPE_KEY when turned into a Map.
`static java.lang.String` | `DESCRIPTION_KEY` Key for the Description as returned by getDescription().
`static java.lang.String` | `LOCALIZED_DESCRIPTION_KEY_BASE` Key prefix for the Description as returned by getDescription().
`static java.lang.String` | `PROGRESS_PERCENT_KEY` Key for the progress percent as returned by getProgressPercent().

Fields inherited from interface com.sun.appserv.management.base.MapCapable
`MAP_CAPABLE_CLASS_NAME_KEY`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getLocalizedDescription(java.util.Locale locale)`
`byte` | `getProgressPercent()`

Methods inherited from interface com.sun.appserv.management.base.MapCapable
`asMap, getMapClassName`

Field Detail

### DEPLOYMENT_PROGRESS_CLASS_NAME

    public static final java.lang.String DEPLOYMENT_PROGRESS_CLASS_NAME

  Value of the MAP_CAPABLE_TYPE_KEY when turned into a Map.

  See Also:
    Constant Field Values

### PROGRESS_PERCENT_KEY

    public static final java.lang.String PROGRESS_PERCENT_KEY

  Key for the progress percent as returned by getProgressPercent().

  See Also:
    Constant Field Values

### DESCRIPTION_KEY

    public static final java.lang.String DESCRIPTION_KEY

  Key for the Description as returned by getDescription().

  See Also:
    Constant Field Values

### LOCALIZED_DESCRIPTION_KEY_BASE

    public static final java.lang.String LOCALIZED_DESCRIPTION_KEY_BASE

  Key prefix for the Description as returned by getDescription(). The key for a given locale is LOCALIZED_DESCRIPTION_KEY_BASE + "_" + Locale.toString()

  See Also:
    Constant Field Values

Method Detail

### getProgressPercent

    public byte getProgressPercent()

  Returns:
    the deployment progress number between 0 and 100 (deployment finished). This number is purely indicative and cannot be used to calculate actual remaining time

### getDescription

    public java.lang.String getDescription()

  Returns:
    the last meaningful description of the current deployment operation

### getLocalizedDescription

    public java.lang.String getLocalizedDescription(java.util.Locale locale)

  Returns:
    the last meaningful localized description of the current deployment operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.